org.richfaces.resource

## Class DefaultResourceCodec

- java.lang.Object
- - org.richfaces.resource.DefaultResourceCodec

- All Implemented Interfaces:
    ResourceCodec

      public final class DefaultResourceCodec
      extends Object
      implements ResourceCodec

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultResourceCodec()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResourceRequestData` | `decodeResource(javax.faces.context.FacesContext context, String requestPath)`
    `String` | `encodeJSFMapping(javax.faces.context.FacesContext context, String resourcePath)`
    `String` | `encodeResourceRequestPath(javax.faces.context.FacesContext context, String libraryName, String resourceName, Object resourceData, String resourceVersion)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultResourceCodec

          public DefaultResourceCodec()

  - ### Method Detail

    - #### encodeResourceRequestPath

          public String encodeResourceRequestPath(javax.faces.context.FacesContext context,
                                                  String libraryName,
                                                  String resourceName,
                                                  Object resourceData,
                                                  String resourceVersion)

      Specified by:
        `encodeResourceRequestPath` in interface `ResourceCodec`

    - #### encodeJSFMapping

          public String encodeJSFMapping(javax.faces.context.FacesContext context,
                                         String resourcePath)

      Specified by:
        `encodeJSFMapping` in interface `ResourceCodec`

    - #### decodeResource

          public ResourceRequestData decodeResource(javax.faces.context.FacesContext context,
                                                    String requestPath)

      Specified by:
        `decodeResource` in interface `ResourceCodec`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.